# Gtk::WrapBox Class Reference
[Widgets, Container Widgets]

TODO. More...

Inherits Gtk::Container.

Collaboration diagram for Gtk::WrapBox:
[legend]

List of all members.

## Public Member Functions

virtual | ~WrapBox ()
GtkWrapBox* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkWrapBox* | gobj () const
| Provides access to the underlying C GtkObject.
| WrapBox (WrapAllocationMode mode=WRAP_ALLOCATE_FREE, WrapBoxSpreading spreading=WRAP_BOX_SPREAD_START, guint horizontal_spacing=0, guint vertical_spacing=0)
void | set_allocation_mode (WrapAllocationMode mode)
| Sets the allocation mode for box's children.
WrapAllocationMode | get_allocation_mode () const
| Gets the allocation mode.
void | set_spreading (WrapBoxSpreading spreading)
| Sets the spreading mode for box's children.
WrapBoxSpreading | get_spreading () const
| Gets the spreading mode.
void | set_vertical_spacing (guint spacing)
| Sets the vertical space to add between children.
guint | get_vertical_spacing () const
| Gets the vertical spacing.
void | set_horizontal_spacing (guint spacing)
| Sets the horizontal space to add between children.
guint | get_horizontal_spacing () const
| Gets the horizontal spacing.
void | set_minimum_line_children (guint n_children)
| Sets the minimum amount of children to line up in box's orientation before wrapping.
guint | get_minimum_line_children () const
| Gets the minimum amount of children per line.
void | set_natural_line_children (guint n_children)
| Sets the natural length of items to request and allocate space for in box's orientation.
guint | get_natural_line_children () const
| Gets the natural amount of children per line.
void | insert_child (Widget& widget, int index, guint horizontal_padding=0, guint vertical_padding=0, WrapBoxPacking packing=WrapBoxPacking(0))
void | append_child (Widget& widget, guint horizontal_padding=0, guint vertical_padding=0, WrapBoxPacking packing=WrapBoxPacking(0))
void | reorder_child (Widget& widget, guint index)
| Reorders the child widget in box's list of children.
Glib::PropertyProxy < WrapAllocationMode > | property_allocation_mode ()
| The allocation mode to use.
Glib::PropertyProxy_ReadOnly < WrapAllocationMode > | property_allocation_mode () const
| The allocation mode to use.
Glib::PropertyProxy < WrapBoxSpreading > | property_spreading ()
| The spreading mode to use.
Glib::PropertyProxy_ReadOnly < WrapBoxSpreading > | property_spreading () const
| The spreading mode to use.
Glib::PropertyProxy< guint > | property_minimum_line_children ()
| The minimum number of children to allocate consecutively in the given orientation.
Glib::PropertyProxy_ReadOnly < guint > | property_minimum_line_children () const
| The minimum number of children to allocate consecutively in the given orientation.
Glib::PropertyProxy< guint > | property_natural_line_children ()
| The maximum amount of children to request space for consecutively in the given orientation.
Glib::PropertyProxy_ReadOnly < guint > | property_natural_line_children () const
| The maximum amount of children to request space for consecutively in the given orientation.
Glib::PropertyProxy< guint > | property_vertical_spacing ()
| The amount of vertical space between two children.
Glib::PropertyProxy_ReadOnly < guint > | property_vertical_spacing () const
| The amount of vertical space between two children.
Glib::PropertyProxy< guint > | property_horizontal_spacing ()
| The amount of horizontal space between two children.
Glib::PropertyProxy_ReadOnly < guint > | property_horizontal_spacing () const
| The amount of horizontal space between two children.

## Related Functions

(Note that these are not member functions.)
Gtk::WrapBox* | wrap (GtkWrapBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TODO.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::WrapBox::~WrapBox | ( |  | ) | `[virtual]`

Gtk::WrapBox::WrapBox | ( | WrapAllocationMode | mode = `WRAP_ALLOCATE_FREE`,
|  | WrapBoxSpreading | spreading = `WRAP_BOX_SPREAD_START`,
|  | guint | horizontal_spacing = `0`,
|  | guint | vertical_spacing = `0` |
| ) |  |  | `[explicit]`

## Member Function Documentation

void Gtk::WrapBox::append_child | ( | Widget& | widget,
|  | guint | horizontal_padding = `0`,
|  | guint | vertical_padding = `0`,
|  | WrapBoxPacking | packing = `WrapBoxPacking(0)` |
| ) |  |  |

WrapAllocationMode Gtk::WrapBox::get_allocation_mode | ( |  | ) | const

Gets the allocation mode.

Returns:
  The Gtk::WrapAllocationMode for box.

guint Gtk::WrapBox::get_horizontal_spacing | ( |  | ) | const

Gets the horizontal spacing.

Returns:
  The horizontal spacing.

guint Gtk::WrapBox::get_minimum_line_children | ( |  | ) | const

Gets the minimum amount of children per line.

Returns:
  The minimum amount of children per line.

guint Gtk::WrapBox::get_natural_line_children | ( |  | ) | const

Gets the natural amount of children per line.

Returns:
  The natural amount of children per line.

WrapBoxSpreading Gtk::WrapBox::get_spreading | ( |  | ) | const

Gets the spreading mode.

Returns:
  The Gtk::WrapBoxSpreading for box.

guint Gtk::WrapBox::get_vertical_spacing | ( |  | ) | const

Gets the vertical spacing.

Returns:
  The vertical spacing.

const GtkWrapBox* Gtk::WrapBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

GtkWrapBox* Gtk::WrapBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

void Gtk::WrapBox::insert_child | ( | Widget& | widget,
|  | int | index,
|  | guint | horizontal_padding = `0`,
|  | guint | vertical_padding = `0`,
|  | WrapBoxPacking | packing = `WrapBoxPacking(0)` |
| ) |  |  |

Glib::PropertyProxy_ReadOnly<WrapAllocationMode> Gtk::WrapBox::property_allocation_mode | ( |  | ) | const

The allocation mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<WrapAllocationMode> Gtk::WrapBox::property_allocation_mode | ( |  | ) |

The allocation mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::WrapBox::property_horizontal_spacing | ( |  | ) | const

The amount of horizontal space between two children.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::WrapBox::property_horizontal_spacing | ( |  | ) |

The amount of horizontal space between two children.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::WrapBox::property_minimum_line_children | ( |  | ) | const

The minimum number of children to allocate consecutively in the given orientation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::WrapBox::property_minimum_line_children | ( |  | ) |

The minimum number of children to allocate consecutively in the given orientation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::WrapBox::property_natural_line_children | ( |  | ) | const

The maximum amount of children to request space for consecutively in the given orientation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::WrapBox::property_natural_line_children | ( |  | ) |

The maximum amount of children to request space for consecutively in the given orientation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<WrapBoxSpreading> Gtk::WrapBox::property_spreading | ( |  | ) | const

The spreading mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<WrapBoxSpreading> Gtk::WrapBox::property_spreading | ( |  | ) |

The spreading mode to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::WrapBox::property_vertical_spacing | ( |  | ) | const

The amount of vertical space between two children.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::WrapBox::property_vertical_spacing | ( |  | ) |

The amount of vertical space between two children.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::WrapBox::reorder_child | ( | Widget& | widget,
|  | guint | index |
| ) |  |  |

Reorders the child widget in box's list of children.

Parameters:

  | widget | The child to reorder.
  | index | The new child position.

void Gtk::WrapBox::set_allocation_mode | ( | WrapAllocationMode | mode | ) |

Sets the allocation mode for box's children.

Parameters:

  | mode | The Gtk::WrapAllocationMode to use.

void Gtk::WrapBox::set_horizontal_spacing | ( | guint | spacing | ) |

Sets the horizontal space to add between children.

Parameters:

  | spacing | The spacing to use.

void Gtk::WrapBox::set_minimum_line_children | ( | guint | n_children | ) |

Sets the minimum amount of children to line up in box's orientation before wrapping.

Parameters:

  | n_children | The minimum amount of children per line.

void Gtk::WrapBox::set_natural_line_children | ( | guint | n_children | ) |

Sets the natural length of items to request and allocate space for in box's orientation.

Setting the natural amount of children per line limits the overall natural size request to be no more than n_children items long in the given orientation.

Parameters:

  | n_children | The natural amount of children per line.

void Gtk::WrapBox::set_spreading | ( | WrapBoxSpreading | spreading | ) |

Sets the spreading mode for box's children.

Parameters:

  | spreading | The Gtk::WrapBoxSpreading to use.

void Gtk::WrapBox::set_vertical_spacing | ( | guint | spacing | ) |

Sets the vertical space to add between children.

Parameters:

  | spacing | The spacing to use.

## Friends And Related Function Documentation

Gtk::WrapBox* wrap | ( | GtkWrapBox * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/wrapbox.h